Main Page Namespace List Compound List File List Namespace Members Compound Members

# nFANTOM100::iFileIterator Class Reference

Interface to an iterator for files on a LEGO MINDSTORMS NXT. More...

`#include <iFileIterator.h>`

List of all members.

## Public Methods
virtual iFile * | getFile (tStatus &status)=0
| Creates a file object for the file referenced by this iterator. More...
virtual void | advance (tStatus &status)=0
| Advances this iterator. More...
virtual void | getName (ViChar fileName[], tStatus &status)=0
| Retrieves the name of the file to which this iterator refers. More...
virtual ViUInt32 | getSize (tStatus &status)=0
| Retrieves the total size, in bytes, of the file to which this iterator refers. More...
## Protected Methods
virtual | ~iFileIterator ()=0
| Destructor.
## Friends
class | tNXT

## Detailed Description

Interface to an iterator for files on a LEGO MINDSTORMS NXT.

## Member Function Documentation

virtual void nFANTOM100::iFileIterator::advance | ( | tStatus & | status | ) | `[pure virtual]`

  | Advances this iterator. Advances this iterator to the next file that matches the previously specified file name pattern. If no more files match, this iterator is advanced to the end of the list. The iterator is not advanced if the specified status is fatal. If this iterator is already at the end of the list, a fatal status will be generated. Parameters:
  status | Status chaining object.

virtual iFile* nFANTOM100::iFileIterator::getFile | ( | tStatus & | status | ) | `[pure virtual]`

  | Creates a file object for the file referenced by this iterator. Creates file object for the file referenced by this iterator. An object is not created if the specified status is fatal or if this iterator refers to the end of the list. The returned file object should be destroyed using the iNXT::destroyFile method. Parameters:
  status | Status chaining object.
Returns: A pointer to the iFile object that was created.

virtual void nFANTOM100::iFileIterator::getName | ( | ViChar | fileName[],
|  | tStatus & | status
| ) | `[pure virtual]`

  | Retrieves the name of the file to which this iterator refers. Parameters:
  fileName | Populated with the name of the file to which this iterator refers. The file name character array must be able to accomodate a NULL-terminated, 15.3 formatted file name. This is, it must have a capacity of 20 bytes.
  status | Status chaining object.

virtual ViUInt32 nFANTOM100::iFileIterator::getSize | ( | tStatus & | status | ) | `[pure virtual]`

  | Retrieves the total size, in bytes, of the file to which this iterator refers. Parameters:
  status | Status chaining object.
Returns: The total size of the file in bytes.

The documentation for this class was generated from the following file:

- iFileIterator.h

© Copyright 2005-2006, National Instruments Corporation. All rights reserved.